<template>
  <div class="d-flex error pb-1 pt-1 flex-jc-center" :class="{ round }">
    <span>{{ error }}</span>
    <button class="close-button icon-button" @click="close">
      <v-icon name="times" />
    </button>
  </div>
</template>

<script>
export default {
  props: {
    error: {
      type: String,
      required: true,
    },
    round: {
      type: Boolean,
      required: false,
      default: false
    }
  },
  methods: {
    close(e) {
      e.preventDefault();
      this.$emit('update:error', null);
    },
  },
};
</script>

<style scoped>
@keyframes Spawn {
  0%    { background-position: 0% 50% }
  50%   { background-position: 100% 50% }
  100%  { background-position: 0% 50% }
}

div.error {
  color: white;
  font-weight: bold;
  font-size: 10pt;
  background: linear-gradient(to right, var(--color-orange), var(--color-primary) 110%);
  padding: 0 30px;
  position: relative;

  overflow: hidden;
  background-size: 400% 400%;

  /* background-position: center; */

  animation: Spawn 3s ease infinite;
}

div.error.round {
  border-radius: 5px;
}

button.close-button.icon-button {
  position: absolute;
  right: 0;
  top: 0;
  width: 30px;
  height: 100%;
  color: white;
}
</style>
